com.genesyslab.wfm7.API.service.calendar712

## Class CalDataIndicator

- java.lang.Object
- - com.genesyslab.wfm7.API.service.calendar712.CalDataIndicator

- All Implemented Interfaces:
    java.io.Serializable

      public class CalDataIndicator
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private boolean` | `dataExists` Data indicator
    `private double` | `date` Date

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalDataIndicator()`
    `CalDataIndicator(double date, boolean dataExists)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `double` | `getDate()` Gets the date value for this CalDataIndicator.
    `int` | `hashCode()`
    `boolean` | `isDataExists()` Gets the dataExists value for this CalDataIndicator.
    `void` | `setDataExists(boolean dataExists)` Sets the dataExists value for this CalDataIndicator.
    `void` | `setDate(double date)` Sets the date value for this CalDataIndicator.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### date

          private double date

      Date

    - #### dataExists

          private boolean dataExists

      Data indicator

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CalDataIndicator

          public CalDataIndicator()

    - #### CalDataIndicator

          public CalDataIndicator(double date,
                          boolean dataExists)

  - ### Method Detail

    - #### getDate

          public double getDate()

      Gets the date value for this CalDataIndicator.
      Returns:
        date Date from requested date range

    - #### setDate

          public void setDate(double date)

      Sets the date value for this CalDataIndicator.
      Parameters:
        `date` - Date from requested date range

    - #### isDataExists

          public boolean isDataExists()

      Gets the dataExists value for this CalDataIndicator.
      Returns:
        dataExists Data indicator, true - Calendar data exist for given date and requested target

    - #### setDataExists

          public void setDataExists(boolean dataExists)

      Sets the dataExists value for this CalDataIndicator.
      Parameters:
        `dataExists` - Data indicator, true - Calendar data exist for given date and requested target

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.